Name:    semantik
Summary: Mind-mapping tool
Version: 0.8.3
Release: 1%{?dist}

License: GPLv3
URL:     http://code.google.com/p/semantik/
Source0: http://semantik.googlecode.com/files/semantik-%{version}.tar.bz2

# where ocaml is availble
ExclusiveArch: alpha %{ix86} ia64 x86_64 ppc ppc64 sparc sparcv9

BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: kdelibs4-devel
BuildRequires: ocaml
BuildRequires: PyKDE4
BuildRequires: python-devel
BuildRequires: waf

Requires: PyKDE4

%description
Semantik (previously Kdissert) is a mind mapping tool to help students
to produce complicated documents very quickly and efficiently :
presentations, dissertations, thesis, reports. While targeted mostly at
students, Kdissert can also help teachers, decision maker, engineers and
businessmen.


%prep
%setup -q


%build
export CXXFLAGS="%{optflags}"

waf configure \
  --prefix=`kde4-config --prefix`

# HACK!
sed -i -e "s|^LIBPATH_KDECORE = .*|LIBPATH_KDECORE = [\'%{_libdir}/kde4/devel\']|" \
  build/c4che/_cache.py

waf build %{?_smp_mflags} --verbose


%install
waf install --destdir=%{buildroot}

#fix rpmlint complaints
chmod a+rx %{buildroot}%{_libdir}/libnablah.so
#not exactly sure here maybe remove shebang
chmod a+rx %{buildroot}%{_kde4_appsdir}/semantik/templates/pdflatex/wscript
chmod a+rx %{buildroot}%{_kde4_appsdir}/semantik/templates/beamer/wscript
chmod a+rx %{buildroot}%{_kde4_appsdir}/semantik/templates/waf
chmod a+rx %{buildroot}%{_kde4_appsdir}/semantik/filters/*.py
chmod a+rx %{buildroot}%{_kde4_appsdir}/semantik/sembind.py

%find_lang %{name} --with-kde || echo "WARNING: no translations found"
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/semantik.desktop

%post
/usr/bin/update-desktop-database &> /dev/null || :
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :
touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null || :
/sbin/ldconfig

%postun
update-desktop-database -q &> /dev/null
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null
  touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null || :
  gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
  gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null || :

%files -f %{name}.lang
%doc ChangeLog README TODO
%{_kde4_bindir}/semantik
%{_kde4_libdir}/libnablah.so
%{_kde4_appsdir}/semantik/
%{_kde4_datadir}/applications/kde4/semantik.desktop
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_iconsdir}/oxygen/*/*/*

%changelog
* Sun Oct 21 2012 Gregor Tätzner <brummbq@fedoraproject.org> - 0.8.3-1
- semantik-0.8.3

* Tue Oct 09 2012 Gregor Tätzner <brummbq@fedoraproject.org> - 0.8.2-1
- semantik-0.8.2
- dropped all patches

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Sep 13 2011 Gregor Tätzner <gregor@freenet.de> - 0.7.3-2
- fixed desktop file and some rpmlint errors
- spec file cleanup

* Wed Aug 17 2011 Rex Dieter <rdieter@fedoraproject.org> 0.7.3-1
- semantik-0.7.3

* Wed Sep 02 2009 Rex Dieter <rdieter@fedoraproject.org> 0.7.2-1
- semantik-0.7.2
